Subject: Re: bug#20897: 25.0.50; [python] sexp-movement are confusing

From: Daniel Colascione <[email-masked]>
Date: Thu, 25 Jun 2015 22:03:36 -0400

On 06/25/2015 09:48 PM, Stefan Monnier wrote:
>> If inside an expression C-M-f should to to its end.
> 
> No, as explained elsewhere, C-M-f's binding is a binding that goes to
> the end of the expression that immediately *follows* point.  If we're
> *inside* a sexp, the way to jump to its end is up-list.
> 
> I understand you want/like to jump to the end of the enclosing
> expression, and that's fine, but this is not what C-M-f should do
> by default.

"Right" or "wrong" aside, Python's current default behavior is just
inconsistent with other modes for infix-expression languages. I tried
for a long time to use the default behavior --- maybe there was some
efficiency advantage that would take time to appear --- but I ended up
just giving up and making python-mode work like other modes.